Bug 234982

Summary: MCP61 Ethernet Controller Detected as PCI Bridge On ASSUS M2N-MX
Product: Red Hat Enterprise Linux 4 Reporter: John Coyle <johnc>
Component: kernelAssignee: Stanislaw Gruszka <sgruszka>
Status: CLOSED WONTFIX QA Contact: Martin Jenner <mjenner>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.5CC: herbert.xu, jolsa, nhorman, peterm, tgraf
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-16 09:22:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Coyle 2007-04-03 05:01:35 UTC
Description of problem:

Test kernel-2.6.9-52.EL.gtest.14 on ASSUS M2N-MX motherboard mis-detects the
MCP61 ethernet controller for a PCI Bridge. 

Tested

Tested on an ASSUS M2N-MX motherboard with the MCP61 chipset. Ethernet
controller has device id 0x03ef.

Version-Release number of selected component (if applicable):

kernel-2.6.9-52.EL.gtest.14

 
Actual results:

MCP61 ethernet controller is detected as a PCI bridge

Expected results:

MCP61 ethernet controller should be detected as an ethernet controller

Additional info:

Adding additional PCI quirk definition fixed the issue:

--- linux-2.6.9/drivers/pci/quirks.c.orig       2007-03-29 23:57:59.000000000 -0400
+++ linux-2.6.9/drivers/pci/quirks.c    2007-03-29 23:57:59.000000000 -0400
@@ -1427,6 +1427,7 @@
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_10,
quirk_nforce_network_class );
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_11,
quirk_nforce_network_class );
 DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_15,
 quirk_nforce_network_class);
+DECLARE_PCI_FIXUP_HEADER(PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_NVENET_19,
 quirk_nforce_network_class);

Comment 1 Stanislaw Gruszka 2010-06-16 09:22:32 UTC
I'm sorry, but we do not take such patches to RHEL4 anymore. Please update to RHEL5. I'm closing as WONTFIX.